# App
TRANSMITTAL_SERVICE_APP__NAME='Transmittal Service'
TRANSMITTAL_SERVICE_APP__LOG_LEVEL=INFO
TRANSMITTAL_SERVICE_APP__HOST=https://stage.sarex.io/transmittal
TRANSMITTAL_SERVICE_APP__ENVIRONMENT=stage

# Auth
# Replace newlines with \n
TRANSMITTAL_SERVICE_AUTH__PUBLIC_KEY=''

# CORS
TRANSMITTAL_SERVICE_CORS__ALLOW_ORIGINS='["*"]'
TRANSMITTAL_SERVICE_CORS__ALLOW_METHODS='["*"]'
TRANSMITTAL_SERVICE_CORS__ALLOW_HEADERS='["*"]'
TRANSMITTAL_SERVICE_CORS__ALLOW_CREDENTIALS=True

# Uvicorn
TRANSMITTAL_SERVICE_UVICORN__HOST=127.0.0.1
TRANSMITTAL_SERVICE_UVICORN__PORT=8001
TRANSMITTAL_SERVICE_UVICORN__ENABLE_AUTO_RELOAD=False
TRANSMITTAL_SERVICE_UVICORN__LOG_LEVEL=info
TRANSMITTAL_SERVICE_UVICORN__NUM_WORKERS=1
TRANSMITTAL_SERVICE_UVICORN__ROOT_PATH=''

# Database
TRANSMITTAL_SERVICE_DATABASE__USER=postgres
TRANSMITTAL_SERVICE_DATABASE__PASSWORD=password
TRANSMITTAL_SERVICE_DATABASE__HOST=127.0.0.1
TRANSMITTAL_SERVICE_DATABASE__PORT=5432
TRANSMITTAL_SERVICE_DATABASE__NAME=postgres
# Ssl settings
TRANSMITTAL_SERVICE_DATABASE__ENABLE_SSL=false
TRANSMITTAL_SERVICE_DATABASE__SSL_MODE=verify-full # or verify-ca
TRANSMITTAL_SERVICE_DATABASE__SSL_ROOT_CERT_PATH=root.crt

# For local database
# TRANSMITTAL_SERVICE_PGDATA=/var/lib/postgresql/data/pgdata
# TRANSMITTAL_SERVICE_PGHOST=127.0.0.1
# TRANSMITTAL_SERVICE_PGPORT=5432

# RabbitMQ
TRANSMITTAL_SERVICE_RABBITMQ__USER=guest
TRANSMITTAL_SERVICE_RABBITMQ__PASSWORD=guest
TRANSMITTAL_SERVICE_RABBITMQ__VHOST=/
TRANSMITTAL_SERVICE_RABBITMQ__HOST=localhost
TRANSMITTAL_SERVICE_RABBITMQ__PORT=5672

# Sarex backend repository
TRANSMITTAL_SERVICE_SAREX_BACKEND_REPOSITORY__BASE_URL=https://stage.sarex.io
TRANSMITTAL_SERVICE_SAREX_BACKEND_REPOSITORY__MAX_CONNECTIONS=10
TRANSMITTAL_SERVICE_SAREX_BACKEND_REPOSITORY__MAX_KEEPALIVE_CONNECTIONS=5
TRANSMITTAL_SERVICE_SAREX_BACKEND_REPOSITORY__TIMEOUT=30
TRANSMITTAL_SERVICE_SAREX_BACKEND_REPOSITORY__BASIC_AUTH_ENCODED=

# Resource repository
TRANSMITTAL_SERVICE_RESOURCE_REPOSITORY__BASE_URL=http://sarex-resources-service.resources-stage
TRANSMITTAL_SERVICE_RESOURCE_REPOSITORY__MAX_CONNECTIONS=10
TRANSMITTAL_SERVICE_RESOURCE_REPOSITORY__MAX_KEEPALIVE_CONNECTIONS=5
TRANSMITTAL_SERVICE_RESOURCE_REPOSITORY__TIMEOUT=30

# Flows repository
TRANSMITTAL_SERVICE_FLOWS_REPOSITORY__BASE_URL=
TRANSMITTAL_SERVICE_FLOWS_REPOSITORY__MAX_CONNECTIONS=10
TRANSMITTAL_SERVICE_FLOWS_REPOSITORY__MAX_KEEPALIVE_CONNECTIONS=5
TRANSMITTAL_SERVICE_FLOWS_REPOSITORY__TIMEOUT=30

# Documentations repository
TRANSMITTAL_SERVICE_DOCUMENTATIONS_REPOSITORY__BASE_URL=http://api-service.documentations-stage
TRANSMITTAL_SERVICE_DOCUMENTATIONS_REPOSITORY__MAX_CONNECTIONS=10
TRANSMITTAL_SERVICE_DOCUMENTATIONS_REPOSITORY__MAX_KEEPALIVE_CONNECTIONS=5
TRANSMITTAL_SERVICE_DOCUMENTATIONS_REPOSITORY__TIMEOUT=30

# S3
TRANSMITTAL_SERVICE_S3_CLIENT__MAX_POOL_CONNECTIONS=10
TRANSMITTAL_SERVICE_S3_CLIENT__CONNECT_TIMEOUT=10
TRANSMITTAL_SERVICE_S3_CLIENT__READ_TIMEOUT=30
TRANSMITTAL_SERVICE_S3_CLIENT__REGION_NAME=ru-central1
TRANSMITTAL_SERVICE_S3_CLIENT__VERIFY=True
TRANSMITTAL_SERVICE_S3_CLIENT__DEFAULT_BUCKET=transmittal-storage-stage
TRANSMITTAL_SERVICE_S3_CLIENT__ENDPOINT=storage.yandexcloud.net
TRANSMITTAL_SERVICE_S3_CLIENT__ACCESS_KEY=
TRANSMITTAL_SERVICE_S3_CLIENT__SECRET_KEY=
TRANSMITTAL_SERVICE_S3_CLIENT__USE_SSL=True
TRANSMITTAL_SERVICE_S3_CLIENT__USE_PATH_STYLE=True
TRANSMITTAL_SERVICE_S3_CLIENT__REQUEST_CHECKSUM_CALCULATION=when_required
TRANSMITTAL_SERVICE_S3_CLIENT__RESPONSE_CHECKSUM_VALIDATION=when_required

# Html to pdf converter
TRANSMITTAL_SERVICE_HTML_TO_PDF_CONVERTER__BASE_URL=http://export-project-service.sarex-stage
TRANSMITTAL_SERVICE_HTML_TO_PDF_CONVERTER__MAX_CONNECTIONS=10
TRANSMITTAL_SERVICE_HTML_TO_PDF_CONVERTER__MAX_KEEPALIVE_CONNECTIONS=5
TRANSMITTAL_SERVICE_HTML_TO_PDF_CONVERTER__TIMEOUT=30

# Markings
TRANSMITTAL_SERVICE_MARKINGS__BASE_URL=http://pdf-markings-service.processing-stage
TRANSMITTAL_SERVICE_MARKINGS__MAX_CONNECTIONS=10
TRANSMITTAL_SERVICE_MARKINGS__MAX_KEEPALIVE_CONNECTIONS=5
TRANSMITTAL_SERVICE_MARKINGS__TIMEOUT=30

# You must use exactly one of email configuration (mailgun or smtp), mailgun considered to be default
# Mailgun
TRANSMITTAL_SERVICE_MAILGUN__BASE_URL=https://api.mailgun.net/v3/<domain>
TRANSMITTAL_SERVICE_MAILGUN__MAX_CONNECTIONS=10
TRANSMITTAL_SERVICE_MAILGUN__MAX_KEEPALIVE_CONNECTIONS=5
TRANSMITTAL_SERVICE_MAILGUN__TIMEOUT=30
TRANSMITTAL_SERVICE_MAILGUN__EMAIL=some@example.com
TRANSMITTAL_SERVICE_MAILGUN__API_KEY=""

# Smtp
# TRANSMITTAL_SERVICE_SMTP__HOST=
# TRANSMITTAL_SERVICE_SMTP__PORT=
# TRANSMITTAL_SERVICE_SMTP__EMAIL=
# TRANSMITTAL_SERVICE_SMTP__ENABLE_TLS=
# TRANSMITTAL_SERVICE_SMTP__LOGIN=
# TRANSMITTAL_SERVICE_SMTP__PASSWORD=

# Otel
TRANSMITTAL_SERVICE_OTEL__ENABLE=True
TRANSMITTAL_SERVICE_OTEL__HOST=http://localhost:4317
TRANSMITTAL_SERVICE_OTEL__SERVICE_NAME=backend.transmittals
TRANSMITTAL_SERVICE_OTEL__INSECURE=True